﻿Type=StaticCode
Version=2.2
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
End Sub
'Get the index from the cell related to this object, If the cell has not been displayed -1 will be returned
Sub RowIndex(Cell As JavaObject) As Int
	If Cell.IsInitialized Then Return Cell.RunMethod("getIndex",Null)
	Return -1
End Sub
Sub RowObject(Cell As JavaObject) As JavaObject
	If Cell.IsInitialized Then Return Cell.RunMethod("getTableRow",Null)
End Sub
'Get the displayed text from the cell, if the cell has not been displayed or the ListViewHelper has a type TYPEGRAPHIC, there will be no text.
Sub DisplayedText(Cell As JavaObject) As String
	If Cell.IsInitialized Then Return UtilsStatic.ReplaceNull(Cell.RunMethod("getText",Null))
	Return ""
End Sub
'Get the displayed Graphic from the cell, if the cell has not been displayed or the ListViewHelper has a type TYPETEXT, an unintialized AnchorPane will be returned.
Sub DisplayedGraphic(Cell As JavaObject) As AnchorPane
	If Cell.IsInitialized Then Return Cell.RunMethod("getGraphic",Null)
	Return Null
End Sub
'Get the height of the Actual Cell
Sub Height(cell As JavaObject) As Int
	Return cell.RunMethod("getHeight",Null)
End Sub
Sub Column(Cell As JavaObject) As JavaObject
	Return Cell.RunMethod("getTableColumn",Null)
End Sub
Sub ColumnIndex(Cell As JavaObject,TV As TableView) As Int
	Dim TablePosition As JavaObject
	TablePosition.InitializeNewInstance("javafx.scene.control.TablePosition",Array As Object(TV,RowIndex(Cell),Column(Cell)))
	Return TablePosition.RunMethod("getColumn",Null)
End Sub
